Bug 216041 - IDE/SATA modules should be built into the kernel
IDE/SATA modules should be built into the kernel
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-16 16:52 EST by Deepak Bhole
Modified: 2008-01-08 10:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 10:01:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deepak Bhole 2006-11-16 16:52:19 EST
Description of problem:
IDE/SATA modules are critical, and should be built into the kernel.

Version-Release number of selected component (if applicable):
2.6.18-1.2798.fc6

How reproducible:
Always

Steps to Reproduce:
The steps require the appropriate hardware combination. In my case:
Asus A8V board (KT800 Pro)
Promise SATA300 TX2Plus sata card (PDC40775 rev 02)
Seagate ST3320620AS (320.0 GB, SATA) drive

If the Seagate drive attached to the SATA card is the main drive, the kernel
cannot boot as it fails to load the root drive and panics.

Actual results:
Kernel Panic

Expected results:
Kernel should boot

Additional info:
I had the same issue with the vanilla 2.6.18.1 kernel, but was able to get the
system booted after I recompiled the kernel with the sata_promise driver
"built-in", as opposed to a module.

SATA/IDE drivers are critical as they need to be loaded as early during boot as
possible. If the driver is present as a module, in some cases it seems that the
kernel cannot detect it early enough.
Comment 1 Jon Stanley 2008-01-07 20:47:42 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Deepak Bhole 2008-01-08 10:01:01 EST
I no longer use the setup with which I encountered this bug. Since I have not
encountered the issue with other setups, I am closing this as WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.